PMALL(1p)

NAME
pmall - show all installed versions and descs

SYNOPSIS
    pmall [-d] [-w] [-a] [-s]

pmall - show all installed versions and descs

DESCRIPTION
This program runs through all your installed modules and tells you what they're for and what version number they are at.

The following options are honored:

-v  give debug info

-w  warn about missing descriptions on modules

-a  include relative paths

-s  sort output within each directory

HISTORICAL NOTE
This program used to be called pmdesc and is included in The Perl Cookbook under that name. However, that name has been usurped by a simpler program.

For example, to find the versions of what is in your site-specific directory, the simpler pmdesc might be preferred:

    $ pmdesc `pminst -s | perl -lane 'print $F[1] if $F[0] =~ /site/'`
    XML::Parser::Expat (2.19) - Lowlevel access to James Clark's expat XML parser
    XML::Parser (2.19) - A perl module for parsing XML documents

KNOWN BUGS
This program takes a long time to run.

Some modules don't work right (CPAN.pm, ExtUtils) because of noisy things they do at compile time or poor formatting of the pod.

SEE ALSO
pmdesc(1) pmvers(1)

AUTHORS and COPYRIGHTS
Copyright (C) 1999 Tom Christiansen.

Copyright (C) 2006-2014 Mark Leighton Fisher.

LICENSE
This is free software; you can redistribute it and/or modify it under the terms of either: (a) the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version, or (b) the Perl "Artistic License". (This is the Perl 5 licensing scheme.)

Please note this is a change from the original pmtools-1.00 (still available on CPAN), as pmtools-1.00 were licensed only under the Perl "Artistic License".